USE [MediaLibrary]
GO
/****** Object:  Table [dbo].[AudioGenreEntry]    Script Date: 14/12/2018 00:20:30 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AudioGenreEntry](
	[GenreEntryID] [int] IDENTITY(1,1) NOT NULL,
	[AudioID] [int] NOT NULL,
	[GenreID] [int] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[GenreEntryID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
ALTER TABLE [dbo].[AudioGenreEntry]  WITH CHECK ADD FOREIGN KEY([AudioID])
REFERENCES [dbo].[AudioEntry] ([AudioID])
GO
ALTER TABLE [dbo].[AudioGenreEntry]  WITH CHECK ADD FOREIGN KEY([GenreID])
REFERENCES [dbo].[AudioGenre] ([GenreID])
GO
